<?php
	if (!isset($_SESSION["admin"]["id"])) {
		echo "<script>location.href='index.php';</script>";
	}
?>
<h1 class="page-header">
    
    	<div class="row">
    		<div class="col-md-7 col-sm-6">
    			Enviar Mensagens Avulsas
            </div>

    	</div>
    
</h1>

<div class="container" style="width: 90%">

	<form name="enviar" id="formemail" method="post" target="frame" class="form" action="enviarMensagem.php" enctype="multipart/form-data">

		<div class="alert alert-warning">Utilize o formulário abaixo para enviar mensagens aos clientes dos Parceiros cadastrados. Será enviado o mesmo e-mail para todos os cadastrados para aquele Parceiro.</div>

	    <label for="parceiro">
	        Selecione o Parceiro:</label>
        <select name="parceiro" id="parceiro" class="form-control" required>
            <option value="">Selecione um Parceiro</option>
            <?php
                $sql = "select * from parceiro where envio = 'Sim' order by nome";
                $consulta = $db->prepare($sql);
                $consulta->execute();

                while ( $dados = $consulta->fetch(PDO::FETCH_OBJ) ) {

                    echo "<option value='$dados->id'>$dados->nome</option>";

                }

            ?>
        </select>
        <br>
        <label for="assunto">Assunto:</label>
        <input type="text" name="assunto" id="assunto" placeholder="Assunto" required class="form-control">
	    <br>
        <label for="mensagem">
        	Mensagem:</label>
        <textarea name="mensagem" id="mensagem" class="form-control" rows="5" placholder="Escreva sua mensagem" required></textarea>
        <br>
        <label for="imagem">
            Imagem:
        </label>
        <input type="file" name="imagem" id="imagem" placeholder="Imagem JPG" class="form-control">
        <br>
        <br>
        <label for="imagem">
            Arquivo:
        </label>
        <input type="file" name="arquivo" id="arquivo" placeholder="Arquivo" class="form-control">
        <br>
        <label for="qtde">Enviar iniciando de: </label>
            <select class="form-control" name="qtde" id="qtde">
                <option value="0">0</option>
                <option value="1">250</option>
                <option value="2">500</option>
                <option value="3">750</option>
                <option value="4">1000</option>
                <option value="5">1250</option>
                <option value="5">1250</option>
                <option value="6">1500</option>
                <option value="7">1752</option>
                <option value="8">2000</option>
            </select>
           
       
        <br>
        <label for="teste">Enviar primeiro e-mail de teste?</label>
            <select name="teste" required class="form-control">
                <option value="S">Sim</option>
                <option value="N">Não</option>
            </select>
        
        <br>
        <p>A assinatura será adicionada conforme cadastro.</p>
        <br>
        <button type="button" id="enviar" class="btn btn-success">Enviar Mensagem</button>
        <button type="button" id="ver" class="btn btn-warning">Ver Mensagem antes de Enviar</button>
	</form>
	<br>
	<iframe name="frame" id="frame" class="thumbnail" width="100%" height="350px"></iframe>
</div>

<script type="text/javascript">
	$("#enviar").click(function(){
		if ( confirm ("Deseja mesmo enviar a mensagem?")) {
			$("#formemail").submit();
		}
	})
	$("#ver").click(function(){
		var parceiro = $("#parceiro").val();
		var assunto = $("#assunto").val();
		var mensagem = $("#mensagem").val();

		if ( parceiro == "") {
			alert("Selecione um parceiro");
			$("#parceiro").focus();
		} else if ( assunto == "") {
			alert("Escreva um assunto");
			$("#assunto").focus();
		} else if ( mensagem == "") {
			alert("Escreva uma mensagem");
			$("#mensagem").focus();
		} else {

			$.get("parceiro.php",{id:parceiro},function(data){

				$(".modal-body").html("<p><strong>Assunto:</strong> "+assunto+"<br><strong>Mensagem:</strong><br><br>Prezado XXXXXX<br><br>"+mensagem+"<br>"+data);
				$('#myModal').modal();

			})

		}

	})
</script>

<div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title" id="myModalLabel">Modelo de Mensagem</h4>
      </div>
      <div class="modal-body">
        
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Fechar</button>
      </div>
    </div>
  </div>
</div>